Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.existential
Class ExistentialTreeModel

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.existential.ExistentialTreeModel

All Implemented Interfaces:
  TreeModel

    public class ExistentialTreeModel

extends Object
implements TreeModel

Author: Matthew Horridge
The University Of Manchester
Medical Informatics Group
Date: Feb 5, 2006

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`ExistentialTreeModel(OWLClass root, OWLObjectProperty property)`

Method Summary
`void` | `addTreeModelListener(TreeModelListener treeModelListener)`
`Object` | `getChild(Object object, int i)`
`int` | `getChildCount(Object object)`
`List` | `getChildren(Object object)`
`int` | `getIndexOfChild(Object object, Object object1)`
`Object` | `getRoot()`
`boolean` | `isLeaf(Object object)`
`void` | `removeTreeModelListener(TreeModelListener treeModelListener)`
`void` | `valueForPathChanged(TreePath treePath, Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExistentialTreeModel

    public ExistentialTreeModel(OWLClass root,
                                OWLObjectProperty property)

Method Detail

### getRoot

    public Object getRoot()

  Specified by:
    `getRoot` in interface `TreeModel`

### getChildren

    public List getChildren(Object object)

### getChild

    public Object getChild(Object object,
                           int i)

  Specified by:
    `getChild` in interface `TreeModel`

### getChildCount

    public int getChildCount(Object object)

  Specified by:
    `getChildCount` in interface `TreeModel`

### isLeaf

    public boolean isLeaf(Object object)

  Specified by:
    `isLeaf` in interface `TreeModel`

### valueForPathChanged

    public void valueForPathChanged(TreePath treePath,
                                    Object object)

  Specified by:
    `valueForPathChanged` in interface `TreeModel`

### getIndexOfChild

    public int getIndexOfChild(Object object,
                               Object object1)

  Specified by:
    `getIndexOfChild` in interface `TreeModel`

### addTreeModelListener

    public void addTreeModelListener(TreeModelListener treeModelListener)

  Specified by:
    `addTreeModelListener` in interface `TreeModel`

### removeTreeModelListener

    public void removeTreeModelListener(TreeModelListener treeModelListener)

  Specified by:
    `removeTreeModelListener` in interface `TreeModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.